Intel® MPI Library and Intel® Parallel Studio XE Composer Edition Compatibility

The following table lists all supported versions of the Intel® MPI Library and the Intel® Parallel Studio XE Composer Edition.  Use this as a reference on the cross-compatibility between the library and associated compiler.

Compatibility Matrix
Intel® MPI Library VersionIntel® Parallel Studio XE 2016 Composer EditionIntel® Parallel Studio XE 2017 Composer EditionIntel® Parallel Studio XE 2018 Composer EditionIntel® Parallel Studio XE 2019 Composer Edition
5.1X   
2017XX  
2018XXX 
2019 XXX

NOTE: Any older versions of the Intel® MPI Library may work with newer versions of the Intel® Compilers but compatibility is not guaranteed. If you have concerns or see any issues, please visit our Get Help page for support options.

For more complete information about compiler optimizations, see our Optimization Notice.